
varying vec2 var_texcoord0;

uniform sampler2D tex0;

vec4 ToneMapping(vec4 Color, float Exposure)
{
    return vec4(1.0 - exp(-Exposure*Color.rgb), Color.a);
}

void main()
{
    vec2 texcoord = var_texcoord0.xy;
    texcoord.y = clamp(texcoord.y*2.0-1.0, 0.001, 1.0);
    vec4 color = vec4(texture2D(tex0, texcoord).rgb, 1.0);
    
    gl_FragColor = ToneMapping(color, 2.0);
}
